Core drivers reference
======================

These drivers are for the core device and the peripherals closely integrated into it, which do not use the controller mechanism.


System drivers
--------------

:mod:`artiq.coredevice.core` module
+++++++++++++++++++++++++++++++++++

.. automodule:: artiq.coredevice.core
    :members:

:mod:`artiq.coredevice.exceptions` module
+++++++++++++++++++++++++++++++++++++++++

.. automodule:: artiq.coredevice.exceptions
    :members:

:mod:`artiq.coredevice.dma` module
++++++++++++++++++++++++++++++++++

.. automodule:: artiq.coredevice.dma
    :members:

:mod:`artiq.coredevice.cache` module
++++++++++++++++++++++++++++++++++++

.. automodule:: artiq.coredevice.cache
    :members:


Digital I/O drivers
-------------------

:mod:`artiq.coredevice.ttl` module
++++++++++++++++++++++++++++++++++

.. automodule:: artiq.coredevice.ttl
    :members:

:mod:`artiq.coredevice.edge_counter` module
++++++++++++++++++++++++++++++++++++++++++++

.. automodule:: artiq.coredevice.edge_counter
    :members:

:mod:`artiq.coredevice.spi2` module
+++++++++++++++++++++++++++++++++++

.. automodule:: artiq.coredevice.spi2
    :members:

:mod:`artiq.coredevice.i2c` module
++++++++++++++++++++++++++++++++++

.. automodule:: artiq.coredevice.i2c
    :members:

RF generation drivers
---------------------

:mod:`artiq.coredevice.urukul` module
+++++++++++++++++++++++++++++++++++++

.. automodule:: artiq.coredevice.urukul
    :members:

:mod:`artiq.coredevice.ad9910` module
+++++++++++++++++++++++++++++++++++++

.. automodule:: artiq.coredevice.ad9910
    :members:

:mod:`artiq.coredevice.ad9912` module
+++++++++++++++++++++++++++++++++++++

.. automodule:: artiq.coredevice.ad9912
    :members:

:mod:`artiq.coredevice.ad9914` module
+++++++++++++++++++++++++++++++++++++

.. automodule:: artiq.coredevice.ad9914
    :members:

:mod:`artiq.coredevice.mirny` module
+++++++++++++++++++++++++++++++++++++

.. automodule:: artiq.coredevice.mirny
    :members:

:mod:`artiq.coredevice.almazny` module
++++++++++++++++++++++++++++++++++++++

.. automodule:: artiq.coredevice.almazny
    :members:

:mod:`artiq.coredevice.adf5356` module
+++++++++++++++++++++++++++++++++++++++

.. automodule:: artiq.coredevice.adf5356
    :members:

:mod:`artiq.coredevice.phaser` module
+++++++++++++++++++++++++++++++++++++

.. automodule:: artiq.coredevice.phaser
    :members:

DAC/ADC drivers
---------------

:mod:`artiq.coredevice.ad53xx` module
+++++++++++++++++++++++++++++++++++++

.. automodule:: artiq.coredevice.ad53xx
    :members:

:mod:`artiq.coredevice.zotino` module
+++++++++++++++++++++++++++++++++++++

.. automodule:: artiq.coredevice.zotino
    :members:

:mod:`artiq.coredevice.sampler` module
++++++++++++++++++++++++++++++++++++++

.. automodule:: artiq.coredevice.sampler
    :members:

:mod:`artiq.coredevice.novogorny` module
++++++++++++++++++++++++++++++++++++++++

.. automodule:: artiq.coredevice.novogorny
    :members:

:mod:`artiq.coredevice.fastino` module
++++++++++++++++++++++++++++++++++++++++

.. automodule:: artiq.coredevice.fastino
    :members:


Miscellaneous
-------------

:mod:`artiq.coredevice.suservo` module
++++++++++++++++++++++++++++++++++++++

.. automodule:: artiq.coredevice.suservo
    :members:


:mod:`artiq.coredevice.grabber` module
++++++++++++++++++++++++++++++++++++++

.. automodule:: artiq.coredevice.grabber
    :members:
